Subject: Re: linux-next: Fixes tag needs some work in the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 4 Jun 2022 10:37:57 +1000

Hi Rob,

On Fri, 3 Jun 2022 07:58:14 -0700 Rob Clark <[email-masked]> wrote:
>
> will the truncated subject confuse the scripts that look for patches
> to backport to stable, ie. do we *really* have to rewrite history to
> fix this?

I don't know what scripts are being used and what they expect, but our
documentation says (Documentation/process/submitting-patches.rst):

  If your patch fixes a bug in a specific commit, e.g. you found an issue using
  ``git bisect``, please use the 'Fixes:' tag with the first 12 characters of
  the SHA-1 ID, and the one line summary.  Do not split the tag across multiple
  lines, tags are exempt from the "wrap at 75 columns" rule in order to simplify
  parsing scripts.

But, that being said, doing the rewrite is up to the maintainer.  You
could just look at this as a learning experience and do better in the
future.

BTW, my script reacted to the missing closing quotes and parentheses,
which is more like to confuse any scripts that the actual truncation.
-- 
Cheers,
Stephen Rothwell